> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/working-with-the-import-api-v2/import-results/retrieving-the-import-summary.md).

# Retrieving the import summary

After an import or synchronization job completes, you can get a summary of the number of created or modified resources and the total number of errors by using the **Import Results** resource: `GET /import/results/{jobId}/summary`. The id of the job is returned in the Import API request response body as the `id` field.

## Parameters

| Parameter        | Parameter type | Description                                          |
| ---------------- | -------------- | ---------------------------------------------------- |
| jobId (required) | String (UUID)  | The universally unique identifier (UUID) of the job. |

## Response example

```json
{
  "resourceTypes": [ 
    {
      "resourceType": "ASSET",
      "counters": {
        "added": 2,
        "removed": 6,
        "updated": 4,
        "failed": 8
      },
      "subcategories": [ 
        {
          "category": {
            "id": "c91833f3-0da1-442e-9abc-c2d00533a213",
            "name": "asset1"
          },
          "counters": {
            "added": 1,
            "removed": 3,
            "updated": 2,
            "failed": 4
          }
        },
        {
          "category": {
            "id": "9a915ebc-b082-4da6-800c-fd1341dd8cf1",
            "name": "asset2"
          },
          "counters": {
            "added": 1,
            "removed": 3,
            "updated": 2,
            "failed": 4
          }
        }
      ]
    },
    {
      "resourceType": "MAPPING",
      "counters": {
        "added": 1,
        "removed": 3,
        "updated": 2,
        "failed": 4
      },
      "subcategories": null
    },
    {
      "resourceType": "DOMAIN",
      "counters": {
        "added": 1,
        "removed": 3,
        "updated": 2,
        "failed": 4
      },
      "subcategories": [
        {
          "category": {
            "id": "c60cfe31-47e5-4be9-815c-a1f28b74a36b",
            "name": "domain"
          },
          "counters": {
            "added": 1,
            "removed": 3,
            "updated": 2,
            "failed": 4
          }
        }
      ]
    }
  ],
  "errorsCount": 16,
  "importJobState": "COMPLETED"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/working-with-the-import-api-v2/import-results/retrieving-the-import-summary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
